<template>
  <tr class="listRow">
    <td>
      <router-link :to="{ name: 'itemType-detail', params: { itemType: itemType.id } }">{{ itemType.name }}</router-link>
    </td>
    <td>
      <div class="buttons is-justify-end">
        <edit-button outlined :to="{ name: 'itemType-edit', params: { itemType: itemType.id } }" />
        <delete-button outlined @delete="$emit('delete', itemType)" />
      </div>
    </td>
  </tr>
</template>

<script lang="ts">
  import Vue from 'vue';
  import Component from 'vue-class-component';
  import { Prop } from 'vue-property-decorator';
  import { ItemType } from '@/modals/itemType';

  @Component<ItemTypeRow>({
    components: {
      EditButton: () => import('../EditButton.vue'),
      DeleteButton: () => import('../DeleteButton.vue'),
    },
  })
  export default class ItemTypeRow extends Vue {
    @Prop({
      type: Object,
      required: true,
    }) itemType!: ItemType;
  }
</script>
